Change code for new cloud_firestore version

I recently updated my cloud_firestore from 0.12.9+4 to 2.2.1. Now I get some Errors with my code. This Part worked perfectly before, do you know how to change it for the new version?

 List<Imbiss> _imbissListFromSnapshot(QuerySnapshot snapshot) {
    return snapshot.docs.map((doc) {
      return Imbiss(
        name: doc.data["name"],
        kind: doc.data["kind"],
        location: doc.data["location"],
        rating: doc.data["rating"],
        ratingFood: doc.data["ratingFood"],
        ratingLocation: doc.data["ratingLocation"],
        ratingPLV: doc.data["ratingPLV"],
        ratingService: doc.data["ratingService"],
        date: doc.data["date"],
        user: doc.data["user"],
      );
    }).toList();
  }

I get errors with the brackets after doc.data… do you know what I have to change?